local 轻功列表 = 
{
	["无门派"] = {"新手轻功"};
	["少林"] = {"少林轻功"};
	["明教"] = {"明教轻功"};
	["丐帮"] = {"丐帮轻功"};
	["武当"] = {"武当轻功"};
	["峨嵋"] = {"峨嵋轻功"};
	["星宿"] = {"星宿轻功"};
	["天龙"] = {"天龙轻功"};
	["天山"] = {"天山轻功"};
	["逍遥"] = {"逍遥轻功"};
	["慕容"] = {"慕容轻功"};
	["唐门"] = {"唐门轻功"};
}

local 轻功坐标 = 
{
	[166] = {{12,125},{18,118},{78,87},{85,93},{97,91},{110,87}};
	[191] = {{222,31},{232,21}};
	[192] = {{48,185},{43,173},{39,164}};
}
local 角色门派 = 取角色门派()
local 间隔时间 = 1000
local 轻功间隔 = 5500
local 飞行间隔 = 3500
local 宝藏洞一层 = 166
local 宝藏洞二层 = 169
local 宝藏洞三层 = 191
local 宝藏洞四层 = 192
local 宝藏洞五层 = 193
local Ret = 0
function 宝藏洞寻图(地图编号,目的地x,目的地y)
	local x,y,Hp,Mp,Map = 取角色信息()
	if 地图编号 ~= Map and 在地图("宝藏洞") ~= 1 then 
		打印信息("前往一层。，。，")
		召唤坐骑(1)
		ID_寻路(18,134,宝藏洞一层)
		while 取地图编号() ~= 宝藏洞一层 do 打印信息("跨图中..") 延迟(2000) end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 宝藏洞一层 then
		if 地图编号 == Map and 目的地x <  230 and 目的地y > 110 and 目的地y < 233 then
			打印信息("执行这里")
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(0)
		for i = 1 , 2 do
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
		end
		if 地图编号 == Map and 目的地x <  80 and 目的地y > 25 and 目的地y < 120 then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 == Map and 目的地x <  227 and 目的地y > 25 and 目的地y < 100 then
			召唤坐骑(1)
			地图寻路(72,83)
			召唤坐骑(0)
			for i = 3 , 6 do
				使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
				延迟(轻功间隔)
			end
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		else
			if 地图编号 > 宝藏洞一层 then 
				if 取距离(18,16) > 20 then 召唤坐骑(1) end
				地图寻路(18,16)
				while 取地图编号() ~= 宝藏洞二层 do 打印信息("传送中...") 延迟(2000) end
			end
		end
		
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 宝藏洞二层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 宝藏洞二层 then 
			if 取距离(20,10) > 20 then 召唤坐骑(1) end
			地图寻路(20,10)
			while 取地图编号() ~= 宝藏洞三层 do 打印信息("传送中...") 延迟(2000) end
		end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 宝藏洞三层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(215,41)
		召唤坐骑(0)
		for i = 1, 2 do
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
			if Ret == 0 then 地图寻路(227,27) Ret = 1 end
		end
		if 地图编号 > 宝藏洞三层 then 
			if 取距离(245,16) > 20 then 召唤坐骑(1) end
			地图寻路(245,16)
			while 取地图编号() ~= 宝藏洞四层 do 打印信息("传送中...") 延迟(2000) end
		end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 宝藏洞四层 then
		打印信息(目的地x..","..目的地y)
		if 地图编号 == Map and 目的地x <  100 and 目的地y > 190 and 目的地y < 245 then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		召唤坐骑(1)
		地图寻路(57,212)
		地图寻路(50,193)
		召唤坐骑(0)
		for i = 1 , 3 do
			使用轻功(轻功坐标[Map][i][1],轻功坐标[Map][i][2],轻功列表[角色门派][1])
			延迟(轻功间隔)
		end
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
		if 地图编号 > 宝藏洞四层 then 
			召唤坐骑(1)
			地图寻路(246,22)
			while 取地图编号() ~= 宝藏洞五层 do 打印信息("传送中...") 延迟(2000) end
		end
	end
	local x,y,Hp,Mp,Map = 取角色信息()
	if Map == 宝藏洞五层 then
		if 地图编号 == Map then
			if 取距离(目的地x,目的地y) > 20 then 召唤坐骑(1) end
			地图寻路(目的地x,目的地y)
			打印信息("到达指定挂机地点")
			return
		end
	end
end
local 挂机x坐标,挂机y坐标,挂机地图 = 获取挂机信息()
打印信息("前往的挂机地点信息："..挂机x坐标..","..挂机y坐标..","..挂机地图)
if 挂机x坐标 ~= 0 and 挂机y坐标 ~= 0 then
	宝藏洞寻图(挂机地图,挂机x坐标,挂机y坐标)
else
	打印信息("挂机坐标错误")
end

